{
    attributes = (
        {
            columnName = "GES_CODE"; 
            externalType = VARCHAR2; 
            name = gesCode; 
            valueClassName = NSString; 
            valueType = s; 
            width = 10; 
        }, 
        {
            columnName = "uf_ORDRE"; 
            externalType = NUMBER; 
            name = ufOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ufg_id"; 
            externalType = NUMBER; 
            name = ufgId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (ufOrdre, gesCode, ufgId); 
    className = "org.cocktail.application.serveur.eof.EOUtilisateurFonctionGestion"; 
    classProperties = (utilisateurFonction, gestion); 
    externalName = "jefy_admin.UTILISATEUR_FONCT_GESTION"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (utilisateurFonction, gestion); 
        "_javaClientClassName" = "org.cocktail.application.client.eof.EOUtilisateurFonctionGestion"; 
        "_nameInObjectStore" = "UTILISATEUR_FONCTION_GESTION"; 
        uniqueID = 191824796; 
    }; 
    isReadOnly = Y; 
    name = "ca_UtilisateurFonctionGestion"; 
    primaryKeyAttributes = (ufgId); 
    relationships = (
        {
            destination = "ca_Gestion"; 
            internalInfo = {uniqueID = 191824534; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = gesCode; sourceAttribute = gesCode; }); 
            name = gestion; 
        }, 
        {
            destination = "ca_UtilisateurFonction"; 
            internalInfo = {uniqueID = 191824540; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = ufOrdre; sourceAttribute = ufOrdre; }); 
            name = utilisateurFonction; 
        }
    ); 
}
